/*--------------------------------------------------------------
# General Styling & Shared Classes
--------------------------------------------------------------*/
html, body {
    height: 100%;
}

body {
    color: var(--default-color);
    background-color: var(--background-color);
    font-family: var(--default-font);
    display: flex;
    flex-direction: column;
}

main {
    flex: 1;
}

.footer {
    margin-top: auto;
}

a {
    color: var(--accent-color);
    text-decoration: none;
    transition: 0.3s;
}

a:hover {
    color: color-mix(in srgb, var(--accent-color), transparent 25%);
    text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--heading-color);
    font-family: var(--heading-font);
}
.navmenu-right {
    display: flex !important; /* Ensure flexbox layout */
    justify-content: flex-end !important; /* Align items to the right */
    align-items: center !important; /* Vertically center items */
    margin-left: auto !important; /* Push the navmenu to the right */
    padding: 0 !important; /* Override any unnecessary padding */
}

.navmenu-centered {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
}

.headerMarginForEditing {
    margin-top: 55px;
}

/* Make the header transparent when this class is applied */
.transparent-header .header {
    background: none;
    background-color: transparent; /* Ensures transparency */
}